# class ActiveLdap::Schema::Syntaxes::Base

### Constants

PRINTABLE_CHARACTER
SYNTAXES
UNPRINTABLE_CHARACTER

### Public Instance Methods

binary?() click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 23
    def binary?
      false
    end

normalize_value(value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 39
    def normalize_value(value)
      value
    end

type_cast(value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 27
    def type_cast(value)
      value
    end

valid?(value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 31
    def valid?(value)
      validate(value).nil?
    end

validate(value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 35
    def validate(value)
      validate_normalized_value(normalize_value(value), value)
    end